diff --git a/net/openssh/files/sshd.init b/net/openssh/files/sshd.init
index 10265296f8d8633469a609203ca7273e2f0c2e90..99b3430a31684574ce1eaed994c1c614d48bfff4 100644
--- a/net/openssh/files/sshd.init
+++ b/net/openssh/files/sshd.init
@@ -346,7 +346,7 @@ start_service()
 		key=/etc/ssh/ssh_host_${type}_key
 		[ -f $key ] && {
 			[ -x /usr/bin/ssh-keygen ] && {
-				if ! /usr/bin/ssh-keygen -l -f $key > /dev/null 2>&1; then
+				if ! /usr/bin/ssh-keygen -y -f $key > /dev/null 2>&1; then
 					rm -rf $key
 				fi
 			}